<script src="@#file#(webgl-math.js)" type="text/javascript"></script>
<script src="@#file#(webgl-basic.js)" type="text/javascript"></script>
<script src="@#file#(webgl-view.js)" type="text/javascript"></script>
<script src="@#file#(webgl-proj.js)" type="text/javascript"></script>
<script src="@#file#(osvj.js)" type="text/javascript"></script>

<script type="text/javascript">
  var ld4 = null;

  function start() {
    ld4 = new lightningDemo('myCanvas4');

    ld4.scene.toggleAmbient(false);
    ld4.scene.toggleDiffuze(false);
    ld4.scene.toggleSpecular(false);

    ld4.startAnimation();
  }
</script>

  <p>Demonstracija u nastavku omogućava prikaz scene koji se dobije kada se kombiniraju sve tri komponente osvjetljavanja.
     Početno, sve su komponente isključene. Kontrolama ispod demonstracije možete uključivati komponentu po komponentu ili više 
     njih odjednom. Najrealističniji izgled scene dobit ćete kada uključite sve tri komponente.</p>

  <canvas id="myCanvas4" width="640" height="480">
    Your browser doesn't appear to support the 
    &lt;canvas&gt; element.
  </canvas>

  <p>
  <input type="checkbox" onchange="ld4.scene.toggleAmbient(this.checked);"> Ambijentna komponenta <br>
  <input type="checkbox" onchange="ld4.scene.toggleDiffuze(this.checked);"> Difuzna komponenta <br>
  <input type="checkbox" onchange="ld4.scene.toggleSpecular(this.checked);"> Zrcalna komponenta <br>
  1 <input style="width: 200px; display: inline;" type="range" min="1" max="64" step="1" oninput="ld4.scene.shininess=this.value;" onchange="ld4.scene.shininess=this.value;" value="20"> 64<br>
  </p>

<script type="text/javascript">
start();
</script>

